2019-02-06  Paul Johnson  <pauljohn@delllap-16>

	* ../R/plotSlopes.R (plotFancyCategories): plotFancyCategories,
	analogy to plotFancy for categorical plotx variables
	(se.bars): illustrates for discrete plotx

	* ../R/drawnorm.R (drawnorm): new function to illustrate normal

2018-11-09  Paul Johnson  <pauljohn@delllap-16>

	* ../R/predictOMatic.R (predictCI): glm predict interval
	"response" correction

2018-10-11  Paul Johnson  <pauljohn@delllap-16>

	* ../R/outreg.R (BT): showAIC had typo in data gather section. fixed
	(checkFunctions): change \phantom to "\_"

2018-10-07  Paul Johnson  <pauljohn@delllap-16>

	* ../R/outreg.R: dcolumn support inserted
	* ../R/descriptiveTable.R: new function

2018-07-27  Paul Johnson  <pauljohn@delllap-16>

	* ../R/groupMeanCenter.R (gmc): add fulldataframe parameter,
	documentation.
	(gmc): frustrated that R merge shuffled rows, so adopt
	plyr::join and safeguard rownames too

	* ../R/waldt.R (waldt): wald "fancy t" test.

2018-05-14  Paul Johnson  <pauljohn@delllap-16>

	* ../R/outreg.R (getVC.merMod): use getFromNamespace trick to
	avoid copying lme4

2017-11-20  Paul Johnson  <pauljohn@delllap-16>

	* ../R/outreg.R: markup types separated latex, html, csv
	(outreg): reduce spaces before commas

	* examples/addLines-ex.R: tempdir required in examples that create files.

2017-07-17  Paul Johnson  <pauljohn@delllap-16>

	* ../R/summarize.R (ncw): rename sumstat -> stats

2016-11-25  Paul Johnson  <pauljohn@delllap-16>

	* ../R/genCorrelatedData.R (genX): genX now returns a DATA FRAME
	possibly including character column "unit" and "idx". Receiver
	may need to cast this back as a matrix.

2016-11-23  Paul Johnson  <pauljohn@delllap-16>

	* ../R/genCorrelatedData.R (genCorrelatedData2): insert argument
	"intercept" FALSE by default, then prune "Intercept" from x.mat
	before returning.

2016-11-22  Paul Johnson  <pauljohn@delllap-16>

	* ../R/outreg.R (pline): remove extra "2" in number of columns
	(BT): delete wide blank spaces that were breaking pandoc output of
	HTML tables.

2016-08-08  Paul Johnson  <pauljohn@dellap14>

	* Rchaeology vignette: email from Alexandre Courtiol <alexandre.courtiol@gmail.com>

2016-03-31  Paul Johnson  <pauljohn@dellap14>

	* ../R/plotSlopes.R (plotSlopes.lm): clear up stop message explanations

	* ../R/plotCurves.R: Logit model plot correction: re-scale DV as 0
	and 1 so plot points come out correct.

2016-03-11  Paul Johnson  <pauljohn@dellap14>

	* ../R/mcDiagnose.R (lmAuxiliary): Minor cleanup

2016-02-07  Paul Johnson  <pauljohn@dellap14>

	* ../R/plotSlopes.R: pasted in giant chunk of importsFrom
	directives after Ben Bolker's lme4 check gave profuse warnings.
	* ../R/utils.R (cutByTable): 100 * round(x, 2).
	(getFocal.character): new method corrects error with character predictors

2015-12-14  Paul Johnson  <pauljohn@dellap14>

	* ../R/summarize.R (summarize): skewness & kurtosis functions,
	argument unbiased introduced for summarizeNumerics

2015-11-11  Paul Johnson  <pauljohn@dellap14>

	* ../R/pctable.R (summary.pctable): separate argument "rowpct"
	and "colpct" which are TRUE or FALSE from rpct and cpct,
	which are the percentage tables. Big confusion results because
	I used same name both in the interface and inside the functions

2015-11-01  Paul Johnson  <pauljohn@dellap14>

	* plotCurves.R (plotCurves):  nx new argument requested
	by user.

2015-02-05  Paul Johnson  <pauljohn@dellap14>

	* ../R/pctable.R (pctable.formula): wrestling with model.frame
	exclusion of missing cases. Processing dots tricky here

2015-01-28  Paul Johnson  <pauljohn@dellap14>

	* ../R/plotSlopes.R (plotFancy): try to silence warnings from plot
	"level not valid argument" by weeding out dotargs

2015-01-23  Paul Johnson  <pauljohn@dellap14>

	* ../R/utils.R (getFocal.factor): Revise getFocal methods so they
	all go into one documentation file

	* ../R/mcGraph.R (mcGraph1): revised so all 3 functions go into
	same documentation file (rdname = mcGraph)

2015-01-22  Paul Johnson  <pauljohn@dellap14>

	* ../R/pctable.R (summary.pctable): pctable reworked
	with summary and print.summary methods

2015-01-15  Paul Johnson  <pauljohn@dellap14>

	* ../R/plotCurves.R: level argument passed through as in
	plotCurves.
	* ../R/plotSlopes.R: plotFancy update to print correct level in
	legend.

2014-10-25  Paul Johnson  <pauljohn@dellap14>

	* ../R/predictOMatic.R (predictCI): fiddling with level on
	confidence interval to fix bug I caused last time

2014-10-14  Paul Johnson  <pauljohn@dellap14>

	* ../R/plotCurves.R (plotCurves): plotxRange

	* ../R/predictOMatic.R (predictCI): level argument passed through

	* ../R/plotSlopes.R (plotSlopes): plotxRange: new argument
	level: new predict argument pass through

2014-08-09  Paul Johnson  <pauljohn@dellap14>

	* ../DESCRIPTION (Package): drop dependency on lme4. Don't need
	anymore because I copied formatVC into outreg. Still can fit lme4

	* ../R/outreg.R (getBSE): noticed rlm fits use "Value", not
	"Estimate" for column header, so put in a checker on the col name.
	Should go back do same on the SE as well. Maybe would solve
	lots of idiosyncratic problems with funny packages.
	* ../R/outreg.R (outreg): examples revised to show ability
	to input B's, SE's and P values.

2014-08-05  Paul Johnson  <pauljohn@dellap14>

	* ../R/summarize.R (summarizeNumerics): noted that poly objects
	were not working with summarize, summarizeFactors,
	summarizeNumerics. Revised the "is.atomic" checker to multiply
	column names.

2014-07-24  Paul Johnson  <pauljohn@dellap14>

	* ../R/summarize.R (normedEntropy): POSIXt variable crashed
	summary. Revised that to ignore POSIXt, with warning comment in
	instructions.

2014-07-15  Paul Johnson  <pauljohn@dellap14>

	* ../R/outreg.R (checkReg): Insert new argument BList, which
	can provide B's for a model separate from rest.
	* Reworked bse to try harder to recognize standard errors and
	pvalues as provided through various parts of the interface

2014-06-29  Paul Johnson  <pauljohn@dellap14>

	* ../R/outreg.R (getBSE): calculate p values from standard errors
	if SElist is used. Previously, wrongly, had not reclaculated
	stars. Legacy to time when I refused to give stars.

2014-04-29  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R: browser argument to stop web browser from popping
	up when html table is created.

2014-04-23  Paul Johnson  <pauljohn@dellap7>

	* ../R/summarize.R (summarizeNumerics): removed signif, replaced
	with round on the numberic rows.

2014-04-21  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (model.data): changing default action to
	na.omit. Had been na.pass, but method for S4 objects was failing.

2014-04-17  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (newdata.default): model.data includes
	missing values in it. They need to be dropped. I remember futzing
	this before in order to make it include missings, but now there
	is a bad ripple effect across other functions that use model.data.

2014-04-10  Paul Johnson  <pauljohn@dellap7>

	* ../R/utils.R (getFocal.factor): padW0 is new convenience.
	Delete ::: accesses to functions in rockchalk

2014-03-28  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (harvest): Ben Rogers pointed out error in LLR report

	* (outreg): noticed myModelClass was undefined, causing -2LLR to disappear 

2014-03-17  Paul Johnson  <pauljohn@dellap7>

	* ../R/utils.R (cutByTable): problem: character variables return
	all NA from this. I did not plan for anything but numeric or
	factor

2014-03-15  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (lenVar): converting newdata and model.data
	to generic methods. Trying to wrestle with weird results with
	merMod objects.

	* ../R/genCorrelatedData.R (vech2mat): new argument: lowerOnly = FALSE

	* ../R/plotCurves.R (plotCurves): Trying to tolerate non-quoted
	argument for plotx and modx.  Am copying strategy in library.R,
	where they tolerate either help = "package" or help = package.  if
	(!missing(modx)) modx <- as.character(substitute(modx))[1L]


2014-03-02  Paul Johnson  <pauljohn@dellap7>

	* ../R/summarize.R (summarizeNumerics): noted that when argument
	is just a vector, name is lost. I always assumed input would be
	list or data frame or matrix. So add an if(is.vector... check.

2014-02-23  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (pline): allow the pline as many columns as there
	are in the table, to prevent it from distorting column placement above

2014-02-22  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (sigtest): note multicol error. When reg table has
	only 1 model, error results from  & \multicol because that assumes
	3 columns.

2014-01-30  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (outreg): battle of century to clean up model list
	at top so that html output does not strangle MS Word import

2014-01-29  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (##     pline): EOC -> EOMC to clear up notation

2014-01-23  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (newdata): if divider argument is a
	function, not a character string, ignore it. If it is characters,
	check it. I don't know why this wasn't crashing before, but the
	examples don't run with divider = pretty.  Which should be OK now.

	* ../R/plotCurves.R (plotCurves): noticed plotCurve did not work
	with logit models where DV was true false. So assume all "logical"
	DVs need to be on 0,1 scale.  Still don't know why I'm obliteraing
	ylimits.

	* ../R/predictOMatic.R (predictOMatic): use of newdata must pass
	along n and divider, else they ignored

2014-01-22  Paul Johnson  <pauljohn@dellap7>

	* ../R/summarize.R: if entropy = 0, normedEntropy = 0, no
	matter how many cases there are

2014-01-15  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (predictCI): predictCI needs to respond to
	type "link" or "response" correctly!
	*model.data needs to have class marker "model.class" so we know we
	can trust the RHS it gives. Silly minuet going on here.

2014-01-14  Paul Johnson  <pauljohn@dellap7>

	* ../R/centralValues.R (centralValues): fiddle return value to
	be factor with same levels as they came in with.

	* ../R/utils.R (cutByTable): testing cutByTable to return factor
	with old levels, mitigate lmer error about factors with 1 level

2014-01-07  Paul Johnson  <pauljohn@dellap7>

	* ../R/predictOMatic.R (model.data):model$call did not work on S4
	objects.  So add conditional on isS4. Must be better way.

2014-01-02  Paul Johnson  <pauljohn@dellap7>

	* ../R/outreg.R (markup): new function to insert either HTML or
	LaTeX Markup. Mostly works!
	(outreg): New version of outreg, trying to completely break the
	markup specifics apart, so one can have a document in the abstract
	which is then converted to html or latex.  It doesn't work
	perfectly yet because I don't understand how to work around
	language specific things, like LaTeX requiring a table's width to
	be declared, while HTML does not.

2013-12-17  Paul Johnson  <pauljohn@dellap7>

	* ../R/plotSlopes.R (plotSlopes): add argument legendTitle

2013-09-22  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotCurves.R (plotCurves): llwd argument added to parms for
	plotFancy

	* ../R/plotSlopes.R (plotFancy): dotargs[["lty"]] argument was not
	handled properly in plotfancy

	* ../R/plotCurves.R (plotCurves): focalVals has to be many
	points from min to max, even for a linear model, because I have
	not learned of a way to ask the regression if its use of plotx is
	shearly linear or not.

	* ../R/genCorrelatedData.R (genCorrelatedData2): fix (d+1) in
	writeout of genCorrelatedData2.

2013-07-12  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotPlane.R (myPredict): re-work so user can supply
	arguments x1lim, x2lim, and the subsidiary work narrows attention
	to those observation ranges. Careful to re-work dot argument
	processing and block users from supplying xlim, ylim, directly.

	* ../R/perspEmpty.R (perspEmpty): correct spacing around equal signs

2013-07-01  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/residualCenter.R (predict.rcreg): change predict.rcreg
	because of problem with newdata going into dots when it is not
	wanted there.

2013-06-24  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/utils.R (cutBySD): add n = 2 definition for cutBySD and
	cutByQuantile methods.

	* ../R/meanCenter.R: runtime error from predict.mcreg because the
	argument newdata was double-entering through ...

2013-06-06  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotSlopes.R (plotSlopes.lm): col needs to be in arguments
	to plotFancy. Same for plotCurves
	(plotFancy): color name problem when user supplies col argument. Fixed.

	* ../R/genCorrelatedData.R (genCorrelatedData2): recycle sds
	argument to length P
	* examples/plotSlopes-ex.R, plotCurves-ex.R. Incorporate
	genCorrelatedData2.

2013-06-02  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../DESCRIPTION (Date): New data set: Nyblade-Read
	cheating/looting data for Japanese politics.

2013-05-31  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/predictOMatic.R (predictCI): futzing about to deal with
	problem in predictCI. If interval="none", we should just take
	the model's predict output and format it, assuming it is a vector
	or matrix. The other messing about with intervals is only needed
	if the user asks for that, and so more regression types will work
	with predictOMatic this way.

2013-05-24  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/testSlopes.R (plot.testSlopes): Continued long battle with
	too confusing system for shading and labeling intervals. This is a
	big example of how expedient solution lead to bad code, hard
	to bug-fix, frustrating as hell.  Now see variable markAt, which
	tries to simplify one part.  Still, rest not great.

2013-05-22  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotPlane.R (myPredict): embarrassing: noticed that I had
	written an argument "linesFrom" in plotPlane and had forgotten
	that and re-wrote same functionality in addLines(). So now came
	back to re-work linesFrom so it causes same output as addLines.

2013-05-21  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotSlopes.R (plotFancy): llwd colors were not being
	passed to plotFancy and they were not being used by lines().

2013-05-19  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotCurves.R (plotCurves): found bug in dotargs sorting for
	predict, Was causing crash in logit models

	* ../R/testSlopes.R: format spaces

	* ../R/residualCenter.R (predict.rcreg): format spaces

	* ../R/mcGraph.R: format spaces and T -> TRUE

	* ../R/centralValues.R (centralValues): Style cleanup, T -> TRUE

	* examples/predictOMatic-ex.R: range(x) -> range(x, na.rm = TRUE)
	to allow missings

	* ../R/predictOMatic.R (predictOMatic): se.fit: try not to
	return it unless predict argument se.fit = TRUE is passed.

2013-05-16  Paul Johnson  <pauljohn@pols110.pols.ku.edu>

	* ../R/genCorrelatedData.R (mvrnorm): insert repaired code for
	mvrnorm and use that in genCorrelatedData functions.
	(genCorrelatedData2): Using lower triangular metaphor for beta2.
	(genCorrelatedData2): inserted some verbose printing for the equation

2013-05-15  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/outreg.R (outreg2HTML): fixing error with multicolumn
	titles when tight = F

	* examples/testSlopes-ex.R: spacing and indentation

2013-05-15  Paul Johnson  <pauljohn@pols110.pols.ku.edu>

	* ../R/plotSlopes.R (plotFancy): plotFancy is the new backend
	drawer for plotSlopes and plotCurves

	* examples/plotCurves-ex.R: clean up formatting, spaces around
	equals, after commas

2013-05-14  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/predictOMatic.R (lenVar): Change from length to NROW
	because that gives true answer for vectors or matrices, and some
	models are going to have matrix DV data (grouped binomial)

	* examples/model.data-ex.R: put no-data.frame examples at top.
	Fix typos in examples.

	* ../R/predictOMatic.R (lenVar): Threw away model.data approach.
	Realized I can manufacture formula from variable names and then
	model.frame can generate the data frame I want from that.

2013-05-13  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/utils.R (cutByQuantile): change cutByQuantile to 0, 25, 50,
	75, 100.

	* ../R/plotSlopes.R (plotSlopes.lm): depVar: trying to
	eliminate assumption this is only numeric.

2013-05-12  pauljohn  <pauljohn@pjlap-d7.pjlap-d7.pols.ku.edu>

	* ../R/plotSlopes.R (plotSlopes.lm): try to grab the
	predict-intended arguments out of the dotargs.
	* Use predictCI to calculate predictions.

	* ../R/predictOMatic.R (predictOMatic): predictCI new function
	tries to give c(fit, lwr, upr) for lm and glm. Maybe others.
	* tie that into predictOMatic, so interval can be returned.
	* tie that into plotSlopes, so glm interval can be plotted.

2013-05-09  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes.lm): predict and dotargs.

2013-05-07  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes.lm): opacity new argument. 

2013-05-06  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/meanCenter.R (std): noticed that meanCenter did not work
	with glm, and don't see why it shouldn't, as long as centerDV is
	handled properly.

	* ../R/predictOMatic.R (predictOMatic): had duplicate usage of
	predict that caused it to fail.

2013-05-05  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes.lm): yet still more futzing about
	with color matching of factor levels, points, lines, and regions.

2013-05-04  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes.lm): color fix for user=specified
	color matrices

2013-05-03  pauljohn  <pauljohn@debian.sunflower.com>

	* examples/plotSlopes-ex.R: add prestige interaction at end.
	Used dev.new(). hope that's not a violation.

	* ../R/plotSlopes.R (plotSlopes.lm): Yet more battle to match
	factor and numeric modx colors and line types.
	TODO: llwd still problematic
		fix plotCurves.R similarly

2013-05-02  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes.lm): frustrating problem with
	colors assigned to points, lines, intervals, and legend items
	when user selects just a few values for plotting.

	* ../R/meanCenter.R (predict.mcreg):  The drop gotcha again.
	tmeans <- sapply(newdata[ , nc], mean, na.rm=T) must be:
	tmeans <- sapply(newdata[ , nc, drop = FALSE], mean, na.rm=T)

2013-04-30  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R (sigtest): nobs -> stats::nobs because gdata had
	its own nobs

2013-04-29  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R (outreg2HTML) had to be exported.

	* (outreg) new outreg, that creates a character vector
	and cats it to screen, and returns it as well.
	* (outreg2HTML): new function that can write an html
	file.

2013-04-27  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R (checkReg): check if model has methods summary,
	coef, vcov, and nobs
	* outreg: be more careful receiving modelList, checking if it
	is a regression model.

2013-04-24  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (plot.testSlopes): fix typo in which numeral 2
	was replated by Tcrit in bsse calculation

	* ../R/predictOMatic.R (newdata): fixing predVals declaration
	* outreg: multiple alpha values

2013-04-23  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R: found bug where df.residual was not
	correct for each separate model. fixed!

2013-04-22  Paul Johnson  <pauljohn@pols110.pols.ku.edu>

	* ../R/utils.R (getFocal: create separate documentation for
	the methods, try to clarify usage
	(cutBySD): allow m+/-3sd

2013-04-21  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/predictOMatic.R (focalVals): allow divider to be a
	function, such as R's built-in pretty() function.
	- create new argument "predVals" to replace fl

	* Version 1.7.4.1
	* ../R/genCorrelatedData.R: Added whole family of new
	funcions
	- genCorrelatedData2
	- vech2Corr
	- vech2Mat
	- lazyCor
	- lazyCov
	- makeVec
	- makeSymmetric
	- checkPosDef

	* ../R/mcDiagnose.R (getDeltaRsquare): drop = FALSE should return
	a matrix with one column
	- more revision on getPartialCor

2013-04-19  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/mcDiagnose.R (mcDiagnose): getPartialCor function added.

2013-04-18  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/predictOMatic.R (predictOMatic): fiddling interface for fl
	so it can now be offered as a vector or a list. Trying to get cute
	with way users can specify divider algorithms.

	* ../R/utils.R: must now export the cutBy functions

2013-04-17  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/mcDiagnose.R (getDeltaRsquare): clean up output. Because
	I was using na.omit to get rid of the missing first element (some
	noise from matrix subtraction), the output object was including a
	lot of extraneous attributes that made printing the result more
	tedious. Now I don' use na.omit any more.

2013-04-16  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R (harvest): Again reworking arguments, rename
	extraSums to "request" and extraFuns to "runFuns". More examples.
	- new arguments, alpha.

	* ../R/predictOMatic.R (focalVals): new function, a wrapper
	around divider functions.
	* outreg: renaming arguments

2013-04-15  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/predictOMatic.R (predictOMatic): introduce "AUTO"
	keyword for focus list variables.

	* ../R/outreg.R (gofPrint): rewrite to add extraFuns and
	extraSums. Mostly working.
	(outreg): fixing logical flaw when a model has NO summaries we
	want. Fighting with nonNull attr

2013-04-14  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/outreg.R (outreg): Reformat consistent with Rstyle
	- change lyx = TRUE argument to float = FALSE.
	(outreg): reworked to grab B and SE matrices, create PT
	at top.

2013-04-10  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (plot.testSlopes): because of mis-match
	between roots and edges of MMlwr and MMupr, re-designed this
	to calculate interval types and ranges exactly, iterate
	over intervals to shade appropriately. Still Ugly code,
	only slightly less embarrassing.

2013-04-09  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (plot.testSlopes): Fixing MMupr and MMlwr
	selection and thinning.

2013-04-08  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (plot.testSlopes): add shade argument to
	stop the pink shading. TODO. allow user color choice.
	* Found Bug on MMlwr and MMupr: don't exclude middle
	in two-ended significant interval. Must think harder.

	* ../R/utils.R (cutByQuantile): now allow n=2 imply quantiles 25
	and 75.

	* examples/testSlopes-ex.R: new example for testSlopes, cut
	example code from testSlopes.R

	* ../R/testSlopes.R (testSlopes): requires plotSlopes object

	* ../R/plotSlopes.R (plotSlopes.lm): class now "plotSlopes" and
	"rockChalk". plotPlane works with all 2d rockchalk objects, but
	testSlopes only works with plotSlopes so far

2013-04-02  pauljohn  <pauljohn@debian.sunflower.com>

	* examples/meanCenter-ex.R: use new "terms" argument to specify
	variable to be centered.

	* ../R/meanCenter.R (print.summary.stdreg): meanCenter=add
	terms argument to allow user to circumvent the automatic
	variable selection and force the centering to be done.

2013-03-31  pauljohn  <pauljohn@debian.sunflower.com>

	* Examples: plotCurves-ex, plotSlopes-ex: show new features

	* ../R/testSlopes.R (testSlopes): pass inroot into jn, so the plot
	function can check it.

	* ../R/plotCurves.R (plotCurves): now accepts modx as option,
	will plot without it.
	* legend and color re-fitted.  Nearly going insane maintaining
	almost identical plotSlopes and plotCurves. Must regain sanity.

	* ../R/plotSlopes.R (plotSlopes.lm): clean up color
	access, fix legend

2013-03-29  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotPlane.R (addLines): saved the col value in the
	return of plotSlopes. Use that in addLines unless user said
	otherwise in col argument.

	* ../R/plotSlopes.R: working through assinine decisions I
	carelessly made on changing handling of interval in plotSlopes.
	Now behavior slightly more predictable. But frustating.

2013-03-28  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotSlopes.R (plotSlopes): revise to allow missing or null
	modx.
	* note bug in color assignment for points with factors. Fixed.

2013-03-27  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (testSlopes): separate calculation of
	testSlopes data from plotting and printing methods.
	(plot.testSlopes): plot.testSlopes is sorta-working now,
	not cleaned up.

	* massively clean up logic, eliminate nested loops by
	returning when phase of calculation is finished.
	* fix VERY STUPID variable names that have the dash
	in them. "hypo-test" was just dumb.


2013-03-26  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/utils.R (cutBySD): Changed "cutNumeric" and "cutFactor" to
	a generic function "getFocal" with methods getFocal.default and
	getFocal.factor.
	(getFocal.factor): convert to if/return stanzas.

	* predictOMatic.R (model.data):  silencing warning
	about re-used row names. Warning was triggered by
	this "data <- data.frame(ldata[varNames])" "Warning in
	data.row.names(row.names, rowsi, i) :  some row.names duplicated:
	3,5, --> row.names NOT used" This was a harmless warning, but
	bothersome to users.
	* Rename rnOrigData -> origDataRN

2013-03-24  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/utils.R (cutNumeric): New function to integrate work that
	was duplicated in many separate functions, plotSlopes, plotCurves
	* ../R/plotSlopes.R (plotSlopes): interval argument
	* Use new cutNumeric function to find interesting values in a
	numeric plotx
	* plot sub-routine for shaded pred or conf intervals
	* incorporate newdata() function, replace ad-hoc code
	* n argument to feed to newdata()

2013-02-19  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/testSlopes.R (testSlopes): Sunthud Pornprasertmanit
	suggests 2013-02-19 there is a bug, diag is applied to a singleton.

2013-02-17  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/plotPlane.R (myPredict): class set to rockchalk3d

	* ../R/plotSlopes.R (plotSlopes): class set to rockchalk2d.

	* ../R/plotCurves.R (## carrier.name): class set to rockchal2d.

	* ../R/utils.R (cutByTable): make sure return value is a factor
	for factor x, and numeric for numeric x

2013-02-16  pauljohn  <pauljohn@debian.sunflower.com>

	* ../R/predictOMatic.R (predictOMatic): return NOT invisible()
	anymore. Why did I do that at before?

	* ../R/plotSlopes.R (plotSlopes): removed moderator variable name
	from legnd variable, after adding variable name to legend title

	* ../R/utils.R (cutByTable): Fixed the longstanding bug that
	cutTable did not return the desired values (had names and
	values reversed in role). Now output same meaning as
	cutByQuantile


2012-06-03  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R (## carrier.name): using model.data now, and
	varNamesRHS, no need for carrier nonsense anymore.

2012-06-02  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotCurves.R (carrier.name): revise to use model.data
	function, including the attribute varNamesRHS. Cleans up use of
	carrier data.

2012-05-29  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/meanCenter.R (formulaReplace): rework code so centered
	variables are re-named with "c" on end. Otherwise too confusing.

	* standardize: re-work to change variable names by appending s.

	* centerNumerics: new function, will add centered variables to a
	data frame with new names with "c" or "cs" appended.

2012-05-28  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/meanCenter.R (predict.mcreg): predict must use same mean
	and scale as were used in original regression. Use meanCenter
	centeredValues return more fully.
	* meanCenter(std): eliminate use of R scale, now calculate
	mean and scale factors, return them in list with centered
	variables.

2012-05-27  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R (carrier.name): use model.data, fix centerValues

	* ../R/residualCenter.R (createRCinteraction): Noticed that this
	function did not work with categorical variables in
	interactions. MASSIVELY reworked calculation approach. Because R
	generates new variables when it finds factors, a new, completely
	literal approach is taken. From fitted model, get the design
	matrix, notice the colnames are the variables in a linear
	formula. Scan through there and replace variables with colons with
	the residual centered versions.

2012-05-19  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/recodeFactors.R (adjacent): fix flaw in ordered factor
	re-calculation (had *again* made the "levels" mistake on the RHS)

2012-05-13  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R: x1floor and x2floor. Bad names?  Number of
	divider lines to draw in floor of plot. Default 5, which was the
	value I had hard coded before.

	* ../R/perspEmpty.R (perspEmpty): clean up interface! Use x1 and
	x2 arguments  to position the bottom grids.  Will require
	interface cleanups in other functions.
	
	* ../R/mcGraph (mcGraph1-3): Changes to make usage match
	perspEmpty intercface change. Instead of assuming perspEmpty will
	manufacture the plot sequences, now the caller must do so.

2012-05-07  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R (myPredict): move draw arrows before points, so
	arrows sit under, not over points

	* ../R/mcGraph.R (mcGraph3): name elements in returned list

2012-05-06  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSlopes.R (plotSlopes): llwd: lwd to pass through to
	lines. lwd controls darkness of points only.

	* ../R/outreg.R (outreg): fix conditional at end to insert
	\end{table} to match previous changes to top of function

2012-05-05  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/magRange.R (magRange): work to allow mult smaller than
	1. Range can shrink to (center, center) point when mult reaches 0.

2012-04-29  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/summarize.R (summarizeNumerics): insert N output for summarize

2012-04-28  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/utils.R (cutByQuantile): work out n to divide interval
	according to a special scheme
	(cutBySD): choose between n=3 and 4

	* ../R/summarize.R (summarizeFactors): if no factors found, return NULL
	(summarizeNumerics): if no numerics, return NULL

2012-04-20  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/summarize.R: sumstat: new paramter to restrict diagnostic output
	(summarizeNumerics): fix crash when data frame does not includes
	only factors or only numerics. Returns NULL in summarizeNumerics
	or summarizeFactors.

2012-04-15  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/meanCenter.R (standardize.lm): drop=FALSE for dm, keeps it
	a matrix
	(summary.mcreg): drop=FALSE for dm

2012-04-04  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/testSlopes.R (testSlopes): fixing plots. red intervals on "either
	side" result. Labels too.

2012-04-02  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotCurves.R (cutBySD): insert "col" option, similar to plotSlopes

2012-03-31  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSlopes.R: allow user to specify colors in plot. add
	option plotLegend.

	* ../R/outreg.R (outreg): fixing problem that title did not print
	unless LyX=FALSE

2012-03-29  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/summarize.R (ncw): new method print.factorSummaries

2012-03-09  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* examples/meanCenter-ex.R: remove references to centerContrasts

	* ../R/meanCenter.R (std): predict.mcreg centers all variable in the
	"centeredVars" list.
	* ../R/meanCenter.R: Cut "centerContrasts" option in meanCenter and tons of
	beautiful code because it is impossible to manage re-centering in
	predict.mcreg if there are centered congrasts. 

2012-03-03  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* examples/predict.rcreg-ex.R: new file to demo predict

	* ../R/residualCenter.R (predict.rcreg): new method handles
	by re-calcuating predictions for each auxiliary regression.

2012-03-01  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/meanCenter.R (std): Found really bad bug where
	plotPlane(meanCenter) returned error about predict being
	used for wrong type of data. Problem traced back to fact
	that "scale" returns a matrix with 1 column, rather than
	a numeric vector, so dataClasses was mismatched.
	attr(,"dataClasses")
          y         xxx         x22
	"numeric" "nmatrix.1" "nmatrix.1".  The "newdata" I'd
	generate did not have "nmatrix.1" as the type, and so
	predict's use of .MFCheckClass resulted in failure.
	Like others, I say "How aggravating."

2012-02-01  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSlopes.R (plotSlopes): "std.dev." and "quantile" now
	legal strings for modxVals, along with particular values.

2012-01-30  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R (plotPlane.default): correct typos referring to plotSlopes

	* ../R/plotSlopes.R (plotSlopes): add na.rm=TRUE for range commands

2012-01-25  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSlopes.R (plotSlopes): change return value to include newdf

2012-01-09  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/lmrc.R (makeRCformula): weird. data from residuals turns up
	with class "AsIs" and causes all kinds of confusion later
	* residualCenter now a generic method
	* residualCenter.default should work for any glm or lm.

2012-01-03  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/meanCenter.R (std): create class name for mean centered
	regression, add attributes.
	print.mcreg: new method

2011-12-30  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R (carrier.name): use get_all_vars to build emf

2011-12-28  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotPlane.R: insert plotPoints option to suppress plotting
	of points.  Question. Should plotPoints=FALSE force drawArrows=FALSE?

2011-12-12  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSeq.R: allow x to be a factor, return levels if so

	* /pauljohn.plotSeq.R (plotSeq): range
	allow missings

	* ../R/plotPlane.R: new introduced function

2011-12-11  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../DESCRIPTION (Date): Version: bump

	* ../R/perspEmpty.R (perspEmpty): range(na.rm=TRUE) allow missings

	* ../R/magRange.R (magRange): range(na.rm=TRUE) to allow missings

2011-12-06  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/lmrc.R (makeRCformula): This is necessary so that all
	interactive components are included
	iv <- paste("(", gsub(":"," + ",x),")^2") 
	* Replace whole stucture to make sure x1.X.x2 coding gets used.

	* ../R/plotSlopes.R (plotSlopes): trying to fix that pesky "one
	extra variable" error in regression models

2011-12-02  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/plotSlopes.R (plotSlopes): fix problem when only one
	variable was left in calculating centralized predictor values. The
	bare vector has to be told "as.data.frame"

2011-12-01  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/lmrc.R (makeRCresiduals): revised bug in calculation lmrc
	was not using residual centered variables when "x1:x2" was
	included, R was constructing own product term. So necessary to
	re-name the residual centered variable connector .X.

2011-11-26  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/mcGraph.R (mcGraph3): added option drawArrows

2011-11-05  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* ../R/mcGraph.R (mcGraph3): insert invisible() on returns

	* ../R/rockchalk-package.R: insert dataset religioncrime and
	documentation.
	* data/religioncrime.RData: new dataset with beautiful example
	of suppression

2011-11-02  pauljohn  <pauljohn@pjlap-124.ku.edu>

	* rockchalk/rockchalk/R/mcGraph.R (mcGraph3): more fiddling
	with interaction

	* mcGraph.R (mcGraph3): fix interaction code in lm

